import {request }from 'umi';

export async function query() {
  return request('/user');
}

export async function queryCurrent() {
  return request('/user/current-user', { method: 'GET' });
}

export async function queryCurrentV2() {
  return request('/api/v2/user/current-user', { method: 'GET' });
}
export async function queryUserRole(userId) {
  return request('/api/v2/user/detail/' + userId, { method: 'GET' });
}

export async function queryUnreadNotification() {
  return request('/notification/unread/', { method: 'GET' });
}

export async function SetNotificationRead(params) {
  return request(`/notification/read/${params.ID}`, { method: 'PUT' });
}

// export async function queryUserList(param) {
//   return request(`/userIdsAndNames?JWT-TOKEN=${param.token}`)
// }

export async function bindQywxUserId(param) {
  return request(`/user/qywx-userId?code=${param.code}&JWT-TOKEN=${param.token}`);
}

export async function updateUser(param) {
  return request(`/user/update`, {
    method: 'PUT',
    body: {
      ...param,
    },
  });
}

//获取部门结构
export async function queryDepV2(params) {
  return request(`/api/v2/dep?${stringify(params)}`);
}
